Last Comment Bug 730821 - Don't do security enhancements on x64 Windows builds
: Don't do security enhancements on x64 Windows builds
Status: RESOLVED FIXED
[qa-]
:
Product: Toolkit
Classification: Components
Component: Application Update (show other bugs)
: unspecified
: x86_64 Windows 7
: -- normal (vote)
: mozilla12
Assigned To: Brian R. Bondy [:bbondy]
:
: Robert Strong [:rstrong] (use needinfo to contact me)
Mentors:
Depends on: 728301 730824 740669
Blocks: 730792
  Show dependency treegraph
 
Reported: 2012-02-27 08:13 PST by Brian R. Bondy [:bbondy]
Modified: 2012-03-29 17:07 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
fixed
fixed


Attachments
Patch v1. (638 bytes, patch)
2012-02-27 08:13 PST, Brian R. Bondy [:bbondy]
robert.strong.bugs: review+
Details | Diff | Splinter Review

Description Brian R. Bondy [:bbondy] 2012-02-27 08:13:34 PST
Created attachment 600914 [details] [diff] [review]
Patch v1.

I just found out that we currently don't sign x64 MARs.
But thanks to bug 728301 we are only enabling the security tasks for service upgrades temporarily.
We currently don't use the service for x64 builds.
If we were using the service for x64 builds, they would be broken.

Once Bug 730792 lands though we will be enabling the new security checks on x86 and x64 builds with and without the service.  

This task is to make sure that we don't do the security checks until we sign x64 builds.  Without the patch posted in this bug, updates on x64 will break.

I'm posting this because I talked about this with bhearsum just now about signing x64 MARs and it looks like it is not currently a good time to do so.

> [11:01:24] <bhearsum> i don't think we should sign w64 
> builds until we're actually planning to ship them
Comment 1 Brian R. Bondy [:bbondy] 2012-02-28 06:38:47 PST
http://hg.mozilla.org/integration/mozilla-inbound/rev/5b9b207ac6ea
Comment 2 Matt Brubeck (:mbrubeck) 2012-02-29 10:57:28 PST
https://hg.mozilla.org/mozilla-central/rev/5b9b207ac6ea
Comment 3 Brian R. Bondy [:bbondy] 2012-02-29 18:36:14 PST
http://hg.mozilla.org/releases/mozilla-aurora/rev/18840d884c97
Comment 4 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-03-29 12:46:00 PDT
Brian, there needs to be a bug blocking the bug for official support of Win64 for reverting this change, so we don't forget we did it. Did we create one already?
Comment 5 Brian R. Bondy [:bbondy] 2012-03-29 17:04:43 PDT
I was going to eventually do this within the context of adding support for Win64 for the service, but I see the value in having a bug blocking this.  Linking it up now.

Note You need to log in before you can comment on or make changes to this bug.